import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.sql.*;
public class Kuvaja extends HttpServlet{	
	public void doGet(HttpServletRequest kysimus, HttpServletResponse vastus) throws IOException, ServletException{
		PrintWriter valja = vastus.getWriter();
		valja.println("<html><head><title>Seirepunktid ja mõõdetavad suurused</title></head><body>");
		valja.println("<h2>Mõõdetavad suurused</h2><br/>");
		valja.println(getData("suurused"));
		valja.println("<br/><h2>Vaatluspunktid</h2><br/>");
		valja.println(getData("punktid"));
		//valja.println(getData("vaatlusandmed"));
		valja.println("</body></html>");
	}
	private String getData(String tabel){
		Connection cn;
		Statement st;
		ResultSet rs;
		ResultSetMetaData rsmd;
		String tagasi="<table border='1'>";
		try{
			Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
			cn=DriverManager.getConnection("jdbc:odbc:andmed", "", "");
			st=cn.createStatement();
			rs=st.executeQuery("SELECT * FROM "+tabel);
			rsmd=rs.getMetaData();
			while(rs.next()!=false){
				tagasi=tagasi.concat("<tr>");
				for(int i=1; i<=rsmd.getColumnCount(); i++){
					tagasi=tagasi.concat("<td>"+rs.getString(rsmd.getColumnName(i))+"</td>");
				}
				tagasi=tagasi.concat("</tr>");
			}
			cn.close();
			tagasi=tagasi.concat("</table>");
		}catch(Exception e){return "Tekkis viga: "+e;}
		return tagasi;	
	}	
}